Payments

Get payments

get

Retrieves all payments for the specified store using the filter specified.

Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
Query parameters
limitinteger · int32 · min: 1 · max: 100Optional

The maximum number of items to return in a single request.

afterstring · flake-idOptional

Returns items after the specified ID. Used for forward pagination through results.

Example: 411486491630370816
beforestring · flake-idOptional

Returns items before the specified ID. Used for backward pagination through results.

Example: 411486491630370816
ascbooleanOptional

Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.

order_idstring · flake-idOptional

Filter by order ID

Example: 411486491630370816
customer_idstring · flake-idOptional

Filter by customer ID

Example: 411486491630370816
Responses
chevron-right
200

OK

application/json

Represents a payment transaction

idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
order_idstring · flake-idRequiredExample: 411486491630370816
customer_idstring · flake-idRequiredExample: 411486491630370816
gatewaystringRequired

The payment gateway provider

Example: stripe
gateway_entity_identifierstringRequired

The gateway entity identifier

gateway_idstringRequired

The gateway payment identifier

method_idstring · flake-idOptionalExample: 411486491630370816
statusstring · enumRequired

Represents payment status

Possible values:
currencystringRequired

The currency code used for this payment in the store's currency

Example: usd
amountinteger · int32Required

The total payment amount in smallest currency unit

Example: 10000
gateway_fee_amountinteger · int32Required

The gateway fee amount in smallest currency unit

Example: 320
tax_amountinteger · int32Required

The tax amount in smallest currency unit

Example: 850
platform_fee_amountinteger · int32Required

The platform fee amount in smallest currency unit

Example: 500
store_net_amountinteger · int32Required

The net amount going to the store in smallest currency unit

Example: 8330
presentment_currencystringRequired

The currency code used for presentment to the customer

Example: eur
presentment_amountinteger · int32Required

The amount presented to the customer in smallest currency unit

Example: 9500
fx_ratenumber · nullableOptional

The foreign exchange rate used for currency conversion

Example: 1.085
platform_fee_rateinteger · int32Required

The platform fee rate applied to this payment (in basis points)

Example: 500
chargeback_statusstring · enumRequired

Represents chargeback status of a payment

Possible values:
chargeback_status_updated_atstring · nullableOptional

The date and time when the chargeback status was last updated

created_atstring · date-timeRequired

The date and time when this payment was created

Example: 2025-04-01T15:30:45Z
pending_atstring · nullableOptional

The date and time when this payment entered pending status

Example: 2025-04-01T15:30:46Z
completed_atstring · nullableOptional

The date and time when this payment was completed

Example: 2025-04-01T15:31:12Z
canceled_atstring · nullableOptional

The date and time when this payment was canceled

failed_atstring · nullableOptional

The date and time when this payment failed

refunded_atstring · nullableOptional

The date and time when this payment was last refunded

chargeback_atstring · nullableOptional

The date and time when a chargeback was initiated on this payment

get
/v1/stores/{storeId}/payments

Get payment by ID

get

Retrieves a payment by an ID.

Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
paymentIdstring · flake-idRequiredExample: 411486491630370816
Responses
chevron-right
200

OK

application/json

Represents a payment transaction

idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
order_idstring · flake-idRequiredExample: 411486491630370816
customer_idstring · flake-idRequiredExample: 411486491630370816
gatewaystringRequired

The payment gateway provider

Example: stripe
gateway_entity_identifierstringRequired

The gateway entity identifier

gateway_idstringRequired

The gateway payment identifier

method_idstring · flake-idOptionalExample: 411486491630370816
statusstring · enumRequired

Represents payment status

Possible values:
currencystringRequired

The currency code used for this payment in the store's currency

Example: usd
amountinteger · int32Required

The total payment amount in smallest currency unit

Example: 10000
gateway_fee_amountinteger · int32Required

The gateway fee amount in smallest currency unit

Example: 320
tax_amountinteger · int32Required

The tax amount in smallest currency unit

Example: 850
platform_fee_amountinteger · int32Required

The platform fee amount in smallest currency unit

Example: 500
store_net_amountinteger · int32Required

The net amount going to the store in smallest currency unit

Example: 8330
presentment_currencystringRequired

The currency code used for presentment to the customer

Example: eur
presentment_amountinteger · int32Required

The amount presented to the customer in smallest currency unit

Example: 9500
fx_ratenumber · nullableOptional

The foreign exchange rate used for currency conversion

Example: 1.085
platform_fee_rateinteger · int32Required

The platform fee rate applied to this payment (in basis points)

Example: 500
chargeback_statusstring · enumRequired

Represents chargeback status of a payment

Possible values:
chargeback_status_updated_atstring · nullableOptional

The date and time when the chargeback status was last updated

created_atstring · date-timeRequired

The date and time when this payment was created

Example: 2025-04-01T15:30:45Z
pending_atstring · nullableOptional

The date and time when this payment entered pending status

Example: 2025-04-01T15:30:46Z
completed_atstring · nullableOptional

The date and time when this payment was completed

Example: 2025-04-01T15:31:12Z
canceled_atstring · nullableOptional

The date and time when this payment was canceled

failed_atstring · nullableOptional

The date and time when this payment failed

refunded_atstring · nullableOptional

The date and time when this payment was last refunded

chargeback_atstring · nullableOptional

The date and time when a chargeback was initiated on this payment

get
/v1/stores/{storeId}/payments/{paymentId}

Last updated

Was this helpful?